財務レポート(Reports)
仕訳帳・総勘定元帳・残高試算表・貸借対照表・損益計算書・キャッシュフロー計算書を取得します。CSV エクスポートも対応しています。
|
エンドポイント
| GET | /api/v1/accounting/reports/journal-book | 仕訳帳を取得 |
| GET | /api/v1/accounting/reports/general-ledger | 総勘定元帳を取得 |
| GET | /api/v1/accounting/reports/trial-balance | 残高試算表を取得 |
| GET | /api/v1/accounting/reports/balance-sheet | 貸借対照表を取得 |
| GET | /api/v1/accounting/reports/income-statement | 損益計算書を取得 |
| GET | /api/v1/accounting/reports/cash-flow-statement | キャッシュフロー計算書を取得 |
GET
/api/v1/accounting/reports/journal-book仕訳帳を取得
認証が必要です— セッション Cookie または Bearer トークンを含めてください
クエリパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
fiscal_year_id | string | 任意 | 会計年度 ID |
コード例
curl "https://api.blueai.jp/api/v1/accounting/reports/journal-book" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/accounting/reports/general-ledger総勘定元帳を取得
認証が必要です— セッション Cookie または Bearer トークンを含めてください
クエリパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
fiscal_year_id | string | 任意 | 会計年度 ID |
account_id | string | 任意 | 勘定科目 ID で絞り込み |
コード例
curl "https://api.blueai.jp/api/v1/accounting/reports/general-ledger" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/accounting/reports/trial-balance残高試算表を取得
認証が必要です— セッション Cookie または Bearer トークンを含めてください
クエリパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
fiscal_year_id | string | 任意 | 会計年度 ID |
コード例
curl "https://api.blueai.jp/api/v1/accounting/reports/trial-balance" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/accounting/reports/balance-sheet貸借対照表を取得
認証が必要です— セッション Cookie または Bearer トークンを含めてください
クエリパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
fiscal_year_id | string | 任意 | 会計年度 ID |
コード例
curl "https://api.blueai.jp/api/v1/accounting/reports/balance-sheet" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/accounting/reports/income-statement損益計算書を取得
認証が必要です— セッション Cookie または Bearer トークンを含めてください
クエリパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
fiscal_year_id | string | 任意 | 会計年度 ID |
コード例
curl "https://api.blueai.jp/api/v1/accounting/reports/income-statement" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/accounting/reports/cash-flow-statementキャッシュフロー計算書を取得
認証が必要です— セッション Cookie または Bearer トークンを含めてください
クエリパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
fiscal_year_id | string | 任意 | 会計年度 ID |
コード例
curl "https://api.blueai.jp/api/v1/accounting/reports/cash-flow-statement" \
-H "Cookie: better-auth.session_token=<token>"